"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const cors_1 = __importDefault(require("cors"));
require("express-async-errors");
const errors_1 = require("./utils/errors");
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const ad_router_1 = require("./routers/ad.router");
const config_1 = require("./config/config");
const app = (0, express_1.default)();
app.use((0, cors_1.default)({
    origin: config_1.config.corsOrigin,
}));
app.use(express_1.default.json());
app.use((0, express_rate_limit_1.default)({
    windowMs: 5 * 60 * 1000,
    max: 100,
}));
app.use('api/ad', ad_router_1.adRouter);
app.use(errors_1.handleError);
app.listen(3001, '0.0.0.0', () => {
    console.log('Listening on port http://localhost:3001');
});
//# sourceMappingURL=index.js.map